%define upstream_name    Catalyst-Model-REST
%define upstream_version 0.27

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    REST model class for Catalyst
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Model)
BuildRequires: perl(Data::Serializer)
BuildRequires: perl(Data::Serializer::JSON)
BuildRequires: perl(Data::Serializer::XML::Simple)
BuildRequires: perl(Data::Serializer::YAML)
BuildRequires: perl(JSON)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose)
BuildRequires: perl(Role::REST::Client)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(YAML)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This Catalyst Model class is a thin wrapper over the Role::REST::Client
manpage

Use this module if you need to talk to a REST server as a separate model.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc TODO README Changes LICENSE INSTALL META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.270.0-5.mga8
+ Revision: 1493049
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.270.0-4.mga7
+ Revision: 1265953
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.270.0-3.mga6
+ Revision: 1023224
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.270.0-2.mga6
+ Revision: 951346
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 buchan <buchan> 0.270.0-1.mga5
+ Revision: 805258
- imported package perl-Catalyst-Model-REST


* Wed Dec 24 2014 Buchan Milne <buchan> 0.27-1mga
- initial mageia release, generated with cpan2dist
